Subject: Re: [PATCH v2] clocksource/drivers: Fix memory leak in ttc_setup_clockevent

From: Markus Elfring <[email-masked]>
Date: Wed, 23 Oct 2019 10:00:24 +0200

> In the implementation of ttc_setup_clockevent() release the allocated
> memory for ttcce if clk_notifier_register() fails.

I got other wording preferences. Thus I imagine that such a change
description can still be improved another bit.
Would you like to express the addition of a jump target (according to
the Linux coding style) for the completion of desired exception handling
in a different way?

…
> +++ b/drivers/clocksource/timer-cadence-ttc.c
…
> @@ -453,15 +451,18 @@ static int __init ttc_setup_clockevent(struct clk *clk,
…
> +release_ttcce:
> +
> +	kfree(ttcce);
…

I would prefer that a blank line will not be added directly after such a label.

Regards,
Markus

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel